Camel Kafka compliance Matrix

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Camel Kafka compliance Matrix

habdank
Dears,

Is there somewhere documented which Version of the Camel Kafka works with which version of Kafka?

The main problem is that currently Kafka changes much protocol and there is a problem to communicate e.g. Kafka 0.9.0.0 clients/consumers with Kafka 0.10.0.0 servers/producers and vice versa.

Thanks in advance!

Best regards,
Seweryn.
Reply | Threaded
Open this post in threaded view
|

Re: Camel Kafka compliance Matrix

Claus Ibsen-2
You should likely ask Kafka project.

camel-kafka uses the kafka java client and its more what it support
than what Camel support.

Also depends on what version of Camel you use, older versions used the
scala kafka client which is older versions of Kafka etc.

On Thu, Oct 13, 2016 at 11:01 AM, habdank <[hidden email]> wrote:

> Dears,
>
> Is there somewhere documented which Version of the Camel Kafka works with
> which version of Kafka?
>
> The main problem is that currently Kafka changes much protocol and there is
> a problem to communicate e.g. Kafka 0.9.0.0 clients/consumers with Kafka
> 0.10.0.0 servers/producers and vice versa.
>
> Thanks in advance!
>
> Best regards,
> Seweryn.
>
>
>
> --
> View this message in context: http://camel.465427.n5.nabble.com/Camel-Kafka-compliance-Matrix-tp5788722.html
> Sent from the Camel - Users mailing list archive at Nabble.com.



--
Claus Ibsen
-----------------
http://davsclaus.com @davsclaus
Camel in Action 2: https://www.manning.com/ibsen2